<?php
include("cp_header.php");/**************************************************صفحة تعديل المستخدمين*******************************************************************/


//تجنب اضافة سجل فى حالة اعادة تحميل الصفحة
$RequestSignature = md5($_SERVER['REQUEST_URI'].$_SERVER['QUERY_STRING'].print_r($_POST, true));
$table='users';
?>


<?php 


if(isset($_GET['id'])){
$_SESSION['id']=$_GET['id'];
}else{
$_GET['id']=$_SESSION['id'];	
}

//بداية الاستعلام
$query="select * from users where id=".$_GET['id'];
//تنفيذ الاستعلام
$result=mysqli_query($conn,$query);
$fetch=mysqli_fetch_array($result);
	$fetch=clean_array($fetch);
$_SESSION['id']=$_GET['id'];

?>
<div id="cp_cont">
<div id="show_user_details"></div>
	

<?php
///تجنب اضافة سجل فى حالة اعادة تحميل الصفحة


//فى حالة السبمت
if (isset($_POST['submit']) && $_POST['token_sec']==$_SESSION['token']  ) {
$name=$_POST['name'];
$modified=date('Y-m-d H:i:s');
$password=$_POST['password']; 
$password_salt=hash('sha256', $salt.$password);

//بداية الاستعلام
$query="update users set name='$name',password='$password_salt' where id=".$fetch['id'];


//بداية الاستعلام
$query= mysqli_prepare(

 

			$conn,

			"Update `$table` 
			set  `name`=? , `password`=?  ,`modified`=? ,`user_modified`=? Where id= ? "
	);

		
	
	//نهيئة المتغيرات وحمايتها من الحقن
	mysqli_stmt_bind_param($query,'ssssi',
			
		 $name,$password_salt,$modified,$_SESSION[$domain."_user"],$_GET['id']

	);


			
	//تنفيذ الاستعلام وتخزين حالته
	$execute_status=mysqli_stmt_execute($query);
				 
	//فى حالة وجود اخطاء فى الاتصال بقاعدة البيانات
	if(mysqli_error($conn)!=''){

				 $error_database_arr['err']=mysqli_error($conn);

				 $error_database_arr['err_num']= mysqli_errno($conn);

				 $error_database_arr['error_stmt']= mysqli_stmt_error($query);

			 }
	
	//عدد السجلات التى تم تنفيذها
	$affected_rows=mysqli_affected_rows($conn);

//فى حالة نجاح الاستعلام
if($execute_status==1){
echo "<div class='true'>تم تعديل المستخدم</div><br>";
echo "<div class='true'><a href='view_users.php'>للذهاب لصفحة تعديل المستخدمين انقر هنا</a></div><br>";

}else{
echo "<div class='faild'>لم يتم تعديل المستخدم</div>";		
}

unset($_POST['submit']);
goto success;
}else{

}

error:

?>	
	
	
	
	
<div id="cp_title"> تعديل مستخدم
<a  href="view_<?php echo $table; ?>.php?search=" style='background:url(../img/table.png);float:left;margin:10px 0px 5px 20px;color:var(--white);width:20px;height:20px;'></a>
</div>
<div id="cp_body">
<form id="app_form" enctype="multipart/form-data"  method="post" action="<?php echo $_SERVER['PHP_SELF']; ?>">
<div class="cp_word_body">
<div class="cp_login_row">
<div class="cp_title">اسم المستخدم</div>
<div class="cp_field">
<input value="<?php echo $fetch['name'] ?>" alt="1" class="required" name="name" type="text" />
<div class="field_val "></div>	
</div>

</div>	


<div class="cp_login_row">
<div class="cp_title">الرقم السرى</div>
<div class="cp_field">
<input  alt="5" class="required confirm1" name="password" type="password" />
<div class="field_val "></div>
</div>	
</div>

<div class="cp_login_row">
<div class="cp_title">تأكيد الرقم السرى</div>
<div class="cp_field">
<input   alt="5" class="required confirm2" name="password" type="password" />
<div class="field_val "></div>
</div>	
</div>


<div class="cp_login_row">

<div class="cp_submit"><input  class="wymupdate" id="submit"  name="submit" value="تعديل"  type="submit"></div>

</div>
</div>
<input type="hidden" name="token_sec"  value='<?php echo $_SESSION['token']; ?>'> </form>
</div>
	
	

</div>

<?php
success:
?>
<?php 
//تحميل الفوتر
include("cp_footer.php");?>